=== doc/CMakeLists.txt ===
find_package(Doxygen REQUIRED dot)

set(DOXYGEN_BUILTIN_STL_SUPPORT   TRUE)
set(DOXYGEN_CALLER_GRAPH          TRUE)
set(DOXYGEN_CALL_GRAPH            TRUE)
set(DOXYGEN_CLASS_DIAGRAMS        TRUE)
set(DOXYGEN_CPP_CLI_SUPPORT       TRUE)
set(DOXYGEN_EXTRACT_ALL           TRUE)
set(DOXYGEN_GENERATE_TREEVIEW     TRUE)
set(DOXYGEN_GRAPHICAL_HIERARCHY   TRUE)
set(DOXYGEN_INLINE_SIMPLE_STRUCTS TRUE)
set(DOXYGEN_INTERACTIVE_SVG       TRUE)
set(DOXYGEN_RECURSIVE             TRUE)
set(DOXYGEN_SOURCE_BROWSER        TRUE)
set(DOXYGEN_DOT_IMAGE_FORMAT       svg)
set(DOXYGEN_IMAGE_PATH ${CMAKE_CURRENT_SOURCE_DIR})
set(DOXYGEN_STRIP_FROM_PATH ${PROJECT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/include)
set(DOXYGEN_USE_MDFILE_AS_MAINPAGE README.md)

doxygen_add_docs(doxygen
  ${PROJECT_SOURCE_DIR}/README.md
  ${PROJECT_SOURCE_DIR}/doc/api.md
  ${PROJECT_SOURCE_DIR}/doc/backends.md
  ${PROJECT_SOURCE_DIR}/doc/publications.md
  ${PROJECT_SOURCE_DIR}/include
)
