=== debian/changelog ===
veccore (0.8.0+ds1-1) unstable; urgency=medium

  * New upstream version 0.8.0+ds1
  * Upload to unstable

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 13 Oct 2021 13:21:54 +0200

veccore (0.7.0+ds1-1) experimental; urgency=medium

  * Initial release (Closes: #988525)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 16 May 2021 18:50:03 +0200
