=== debian/control ===
Source: veccore
Priority: optional
Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
Uploaders: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.6.0.1
Section: libs
Homepage: https://github.com/root-project/veccore
Vcs-Browser: https://salsa.debian.org/science-team/veccore
Vcs-Git: https://salsa.debian.org/science-team/veccore.git
Rules-Requires-Root: no

Package: veccore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Recommends:
 vc-dev [any-amd64 any-arm any-arm64 any-i386],
Description: simple abstraction layer on top of other vectorization libraries
 It provides an architecture-independent API for expressing vector operations
 on data. Code written with this API can then be dispatched to one of several
 backends like Vc, or a scalar implementation. This allows one to get the best
 performance on platforms supported by Vc without losing portability to
 unsupported architectures like ARM and PowerPC, for example, where the scalar
 backend can be used instead without requiring changes in user code.
