=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%veccore-$1.tar.gz%,dversionmangle=s%\+ds\d*$%%,repacksuffix=+ds1" \
    https://github.com/root-project/veccore/releases (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
