## veccore 0.8.1%2Bds1

=== debian/changelog ===
veccore (0.8.1+ds1-1) unstable; urgency=medium

  * New upstream version 0.8.1+ds1

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 26 Oct 2023 18:45:26 +0200

veccore (0.8.0+ds1-2) unstable; urgency=medium

  * Update standards version to 4.6.1, no changes needed
  * Fix watch file due to GitHub changes

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 09 Nov 2022 22:06:58 +0100
