=== debian/changelog ===
veccore (0.8.1+ds1-2) unstable; urgency=medium

  * Team upload.
  * Fix typo in ScalarWrapper.h causing build failure in src:vecgeom
    when using GCC 15. Closes: #1098061.
  * Drop "Rules-Requires-Root: no" (default).
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sat, 25 Oct 2025 20:34:00 +0200
