=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: veccore
 Priority: optional
-Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
-Uploaders: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/root-project/veccore
 Vcs-Browser: https://salsa.debian.org/science-team/veccore
 Vcs-Git: https://salsa.debian.org/science-team/veccore.git
-Rules-Requires-Root: no
 
 Package: veccore-dev
 Section: libdevel
